#include <iostream>
using namespace std;
int main()
{
	 int  prijatelji[100000] = {0};
	 int  neprijatelji[100000] = { 0 };
	int  N, M;
	 int  druz[100000] = { 0 };
	int konacno=0;
	cin >> N >> M;
	for (int i=0; i<N;i++)
	{
		cin >> druz[i];
	}
	for (int i = 0; i < M; i++)
	{
		int a, b;
		cin >> a >> b;
		a--;
		b --;
		if (druz[a] * (prijatelji[a]+1-neprijatelji[a]) + druz[b]*(prijatelji[b]+1-neprijatelji[b])>druz[b]* (prijatelji[b] - 1-neprijatelji[b])+druz[a]*(prijatelji[a] -1- neprijatelji[a]))
		{
			prijatelji[a]++;
			prijatelji[b]++;
			
		}
		else
		{
			neprijatelji[a]++;
			neprijatelji[b]++;
		}
	}
	for (int i = 0; i < N; i++)
	{
		konacno += druz[i] * (prijatelji[i] - neprijatelji[i]);

	}
	cout << konacno;
	return 0;
}